Bug 1117585 - Strange highlighting/selection behaviour in VCS Commits field
Strange highlighting/selection behaviour in VCS Commits field
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-08 23:02 EDT by Jason McDonald
Modified: 2014-08-10 21:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.4.5023
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 21:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2014-07-08 23:02:42 EDT
Description of problem:
In most cases, when I expand or collapse an item in the Commits field 9part of the VCS exntension), the item gets displayed in the configured 'selection' colour, as if I had dragged the mouse over the text to select it.

Further, the previously visible part of the text ends up in my X11 clipboard, and can be pasted elsewhere with the middle mouse button.  If I was expanding the item, the collapsed version of the text ends up in my clipboard, and if I was collapsing the item, the expanded text ends up in my clipboard.

Version-Release number of selected component (if applicable):
4.4.4021

How reproducible:
90%

Steps to Reproduce:
1. Open a bug that has at least two items in the Commits field.
2. Click the + icon beside the first commit.
3. Observe that the commit is painted with the highlight/selection colour after expanding.
4. Middle-click in a widget that can accept text.
5. Observe that the first line of the commit clicked in step 2 is pasted.
6. Click the - icon beside the first commit.
7. Observe that the commit is painted with the highlight/selection colour after collapsing.
8. Middle-lcick in a widget that can accept text. 
9. Observe that the full text of the commit clicked in step 6 is pasted.
10. Click the + icon beside the second commit.
11. Observe that the second commit is painted with the highlight/selection colour after expanding.

Actual results:
Last commit collapsed or expanded has the selection colour. Text of commit enters clipboard.

Expected results:
Last commit collapsed or expanded has nornal text colour. Clipboard contents are unchanged.

Additional info:
Tested on Fedora 20 and Firefox 30.0.
Comment 1 Matt Tyson 2014-07-23 19:59:32 EDT
This appears to be a firefox thing.

Chrome doesn't seem to have the problem.

The -moz-user-select: none CSS property seems to fix the issue.
Comment 2 Matt Tyson 2014-07-24 02:55:26 EDT
(In reply to Matt Tyson from comment #1)
> The -moz-user-select: none CSS property seems to fix the issue.

actually 'none' prevents any user selection of the text

'auto' seems to allow users to select text without automatically selecting it when the list item is expanded.
Comment 13 Shirley Zhou 2014-07-30 21:37:44 EDT
According to comment 10 and comment 11, this bug has been fixed, move it to verified. Thanks

Note You need to log in before you can comment on or make changes to this bug.